%define pkg_name        Scalar-Number
%define pkg_version     0.002
%define rpm_pkg_version 0.002
%define rpm_pkg_release 1.n0i.1

Summary:       Methods for extracting scalars' numeric aspects
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Data::Float) >= 0.005
BuildRequires: perl(Data::Integer)


%description
This module is about the numeric part of plain (string) Perl scalars. A scalar
has a numeric value, which may be expressed in either the native integer type
or the native floating point type. Many values are expressible both ways, in
which case the exact representation is insignificant. To fully understand Perl
arithmetic it is necessary to know about both of these representations, and
the differing behaviours of numbers according to which way they are
expressible.
This module provides functions to extract the numeric part of a scalar,
classify a number by expressibility, and compare numbers across
representations.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Mon Sep 03 2007 Marius Feraru <altblue@n0i.net> - 0.002-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.002
